Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81404 - can't change Windows username
Summary: can't change Windows username
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-samba
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-09 02:03 UTC by Tammy Fox
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 14:45:41 UTC


Attachments (Terms of Use)

Description Tammy Fox 2003-01-09 02:03:31 UTC
Using r-c-samba, if I create a Samba user named bfox with bfox as the Windows
username as well, it does not add an entry to /etc/samba/smbusers.

If I edit the user to change the Windows username to something else, it
can't find it in smbusers and gives me the following:

Traceback (most recent call last):
  File "./addUserWin.py", line 86, in on_edit_user_ok_button_clicked
    self.samba_user_data.changeWindowsUserName(self.orig_unix_name, windows_name)
  File "./sambaUserData.py", line 141, in changeWindowsUserName
    if line == userDict[unix_name]:
KeyError: bfox

Comment 1 Brent Fox 2003-01-13 06:53:39 UTC
Should be fixed with redhat-config-samba-1.0.1-4.  Please test. Thanks for your
report.  QA, please verify.

Comment 2 Jay Turner 2003-01-14 14:45:41 UTC
Things look pretty good with redhat-config-samba-1.0.1-4.


Note You need to log in before you can comment on or make changes to this bug.